1
Vote

Not the right version

description

When I click to download the version 1.6.1.274, it downloads the version 1.6.1.273. And that version doesn't work at all (exactly as if I didn't use any software ... but even worse: I can't change masteries).

Your software is awesome, just needs to fix it ^^

Cheers !!!

Mulugruntz

comments